clear 

tempfile india_states_db
tempfile india_states_coord
tempfile india_states_centroids

shp2dta using Data/Map/india_state, database(`india_states_db') coord(india_states_coord) genid(shape_id) genc(c) replace

use `india_states_db', clear



preserve

drop if x_c <= 0
drop if NAME == "Andaman and Nicobar" & shape_id != 109
drop if NAME == "Andhra Pradesh" & x_c > 80
drop if NAME == "Goa" & x_c < 74
drop if NAME == "Gujarat" & shape_id != 88
drop if NAME == "Karnataka" & x_c < 76
drop if NAME == "Kerala" & y_c < 10.4
drop if NAME == "Laksha Dweeps" & shape_id != 95
drop if NAME == "Maharashtra" & x_c < 76
drop if NAME == "Pondicherry" & shape_id != 92
drop if NAME == "Orissa" & x_c > 85
drop if NAME == "Tamil Nadu" & (y_c > 13 | y_c < 10)
drop if NAME == "West Bengal" & y_c < 23

replace x_c = x_c - 1 if NAME == "Andaman and Nicobar"
replace x_c = x_c + 0.1 if NAME == "Dadra & Nagar Haveli"
replace y_c = y_c - 0.4 if NAME == "Dadra & Nagar Haveli"
replace x_c = x_c - 0.6 if NAME == "Daman(Daman&Diu)"
replace y_c = y_c + 0.1 if NAME == "Daman(Daman&Diu)"
replace x_c = x_c + 0.6 if NAME == "Delhi"
replace y_c = y_c + 0.2 if NAME == "Delhi"
replace x_c = x_c - 0.7 if NAME == "Goa"
replace x_c = x_c + 1.05 if NAME == "Laksha Dweeps"
replace x_c = x_c + 0.5 if NAME == "Pondicherry"
replace y_c = y_c + 0.3 if NAME == "Pondicherry"

gen abbreviation = ""
replace abbreviation = "AN" if NAME == "Andaman and Nicobar"
replace abbreviation = "AP" if NAME == "Andhra Pradesh"
replace abbreviation = "AR" if NAME == "Arunachal Pradesh"
replace abbreviation = "AS" if NAME == "Assam"
replace abbreviation = "BR" if NAME == "Bihar"
replace abbreviation = "CT" if NAME == "Chhattisgarh"
replace abbreviation = "DN" if NAME == "Dadra & Nagar Haveli"
replace abbreviation = "DD" if NAME == "Daman(Daman&Diu)"
replace abbreviation = "DL" if NAME == "Delhi"
replace abbreviation = "GA" if NAME == "Goa"
replace abbreviation = "GJ" if NAME == "Gujarat"
replace abbreviation = "HR" if NAME == "Haryana"
replace abbreviation = "HP" if NAME == "Himachalpradesh"
replace abbreviation = "JK" if NAME == "Jammu & Kashmir"
replace abbreviation = "JH" if NAME == "Jharkhand"
replace abbreviation = "KA" if NAME == "Karnataka"
replace abbreviation = "KL" if NAME == "Kerala"
replace abbreviation = "LD" if NAME == "Laksha Dweeps"
replace abbreviation = "MP" if NAME == "Madhya Pradesh"
replace abbreviation = "MH" if NAME == "Maharashtra"
replace abbreviation = "MN" if NAME == "Manipur"
replace abbreviation = "ML" if NAME == "Meghalaya"
replace abbreviation = "MZ" if NAME == "Mizoram"
replace abbreviation = "NL" if NAME == "Nagaland"
replace abbreviation = "OR" if NAME == "Orissa"
replace abbreviation = "PY" if NAME == "Pondicherry"
replace abbreviation = "PB" if NAME == "Punjab"
replace abbreviation = "RJ" if NAME == "Rajastan"
replace abbreviation = "SK" if NAME == "Sikkim"
replace abbreviation = "TN" if NAME == "Tamil Nadu"
replace abbreviation = "TR" if NAME == "Tripura"
replace abbreviation = "UP" if NAME == "Uttar Pradesh"
replace abbreviation = "UT" if NAME == "Uttaranchal"
replace abbreviation = "WB" if NAME == "West Bengal"

save india_states_centroids.dta, replace

restore


gen eproc_start_date = .

replace eproc_start_date = . if NAME == "Andaman and Nicobar"
replace eproc_start_date = date("24Mar2004", "DMY") if NAME == "Andhra Pradesh"
replace eproc_start_date = date("21Jun2011", "DMY") if NAME == "Arunachal Pradesh"
replace eproc_start_date = date("1Aug2004", "DMY") if NAME == "Assam"
replace eproc_start_date = date("14Jun2010", "DMY") if NAME == "Bihar"
replace eproc_start_date = date("10Mar2006", "DMY") if NAME == "Chhattisgarh"
replace eproc_start_date = . if NAME == "Dadra & Nagar Haveli"
replace eproc_start_date = . if NAME == "Daman(Daman&Diu)"
replace eproc_start_date = . if NAME == "Delhi"
replace eproc_start_date = . if NAME == "Goa"
replace eproc_start_date = date("22Nov2006", "DMY") if NAME == "Gujarat"
replace eproc_start_date = date("1Sep2007", "DMY") if NAME == "Haryana"
replace eproc_start_date = date("17Feb2010", "DMY") if NAME == "Himachalpradesh"
replace eproc_start_date = date("3Feb2011", "DMY") if NAME == "Jammu & Kashmir"
replace eproc_start_date = date("26Apr2010", "DMY") if NAME == "Jharkhand"
replace eproc_start_date = date("1Jul2008", "DMY") if NAME == "Karnataka"
replace eproc_start_date = date("14Dec2011", "DMY") if NAME == "Kerala"
replace eproc_start_date = . if NAME == "Laksha Dweeps"
replace eproc_start_date = date("1Mar2007", "DMY") if NAME == "Madhya Pradesh"
replace eproc_start_date = date("7Apr2010", "DMY") if NAME == "Maharashtra"
replace eproc_start_date = date("28March2010", "DMY") if NAME == "Manipur"
replace eproc_start_date = date("20Sept2011", "DMY") if NAME == "Meghalaya"
replace eproc_start_date = date("2Nov2012", "DMY") if NAME == "Mizoram"
replace eproc_start_date = date("15Nov2011", "DMY") if NAME == "Nagaland"
replace eproc_start_date = date("1Jun2008", "DMY") if NAME == "Orissa"
replace eproc_start_date = . if NAME == "Pondicherry"
replace eproc_start_date = date("22Jul2011", "DMY") if NAME == "Punjab"
replace eproc_start_date = date("14Dec2009", "DMY") if NAME == "Rajastan"
replace eproc_start_date = date("3Nov2011", "DMY") if NAME == "Sikkim"
replace eproc_start_date = date("29Mar2013", "DMY") if NAME == "Tamil Nadu"
replace eproc_start_date = date("5Jul2010", "DMY") if NAME == "Tripura"
replace eproc_start_date = date("25Feb2010", "DMY") if NAME == "Uttar Pradesh"
replace eproc_start_date = date("5May2011", "DMY") if NAME == "Uttaranchal"
replace eproc_start_date = date("1Jan2009", "DMY") if NAME == "West Bengal"

gen eproc_start_year = year(eproc_start_date)

gen eproc_start_year_2009split = eproc_start_year
replace eproc_start_year_2009split = eproc_start_year_2009split - 1 if eproc_start_year_2009split < 2010
replace eproc_start_year_2009split = 2009 if eproc_start_year == 2009 & month(eproc_start_date) > 8
label define lb1 2003 "2004" 2005 "2006" 2006 "2007" 2007 "2008" 2008 "2009, Jan-Aug" 2009 "2009, Sept-Dec", add
label values eproc_start_year_2009split lb1

gen eproc_start_year_nodatacat = eproc_start_year
replace eproc_start_year_nodatacat = 9999 if eproc_start_date > date("1Sept2009", "DMY") & !mi(eproc_start_date)
label define lb2 2009 "2009, Jan-Aug" 9999 "Post Data Collection"
label values eproc_start_year_nodatacat lb2


spmap eproc_start_year_nodatacat using india_states_coord.dta, id(shape_id) fcolor(Greens) clnumber(11) ndfcolor(brown) clm(u) ndlabel("Not Applicable") ///
	label(data(india_states_centroids.dta) xcoord(x_c) ycoord(y_c) label(abbreviation) color(black) size(*0.7))
graph export "Figure 2a E-procurement Adoption - India.pdf", replace
