clear
set more off	
cd/

local setpath "SET PATH"
local dir "`setpath'/Eproc_Indo/DTA Files"

cd "`dir'"


//Table 1
use "z_all_project_table", clear
bys z_state_num z_year: gen state_year_obs = _n == 1
bys z_state_num z_year z_konsultan: gen state_year_kons_obs = _n == 1


gen var_name = ""
gen mean = .
gen sd = .
gen var_obs_num = .

summ z_stateyearprojects if state_year_obs == 1
replace var_name = "z_stateyearprojects, all" in 1
replace mean = r(mean)  in 1
replace sd = r(sd) in 1
replace var_obs_num = r(N) in 1

summ z_stateyearprojects_kons if state_year_kons_obs == 1 & z_konsultan == 0
replace var_name = "z_stateyearprojects, kons == 0" in 2
replace mean = r(mean)  in 2
replace sd = r(sd) in 2
replace var_obs_num = r(N) in 2

summ z_stateyearprojects_kons if state_year_kons_obs == 1 & z_konsultan == 1
replace var_name = "z_stateyearprojects, kons == 1" in 3
replace mean = r(mean)  in 3
replace sd = r(sd) in 3
replace var_obs_num = r(N) in 3

summ lnstateyearbudget if state_year_obs == 1
replace var_name = "lnstateyearbudget, all" in 4
replace mean = r(mean)  in 4
replace sd = r(sd) in 4
replace var_obs_num = r(N) in 4

summ lnstateyearbudget_kons if state_year_kons_obs == 1 & z_konsultan == 0
replace var_name = "lnstateyearbudget, kons == 0" in 5
replace mean = r(mean)  in 5
replace sd = r(sd) in 5
replace var_obs_num = r(N) in 5

summ lnstateyearbudget_kons if state_year_kons_obs == 1 & z_konsultan == 1
replace var_name = "lnstateyearbudget, kons == 1" in 6
replace mean = r(mean)  in 6
replace sd = r(sd) in 6
replace var_obs_num = r(N) in 6

local row = 7
local row_p1 = `row' + 1
local row_p2 = `row' + 2
foreach x of varlist lnfinalnegobid z_n_pq_firms_all z_num_np_bids z_newsp_award_elapsed_time z_auction_elapsed_time{
	summ `x'
	replace var_name = "`x', all" in `row'
	replace mean = r(mean)  in `row'
	replace sd = r(sd) in `row'
	replace var_obs_num = r(N) in `row'
	
	summ `x' if z_konsultan == 0
	replace var_name = "`x', kons == 0" in `row_p1'
	replace mean = r(mean)  in `row_p1'
	replace sd = r(sd) in `row_p1'
	replace var_obs_num = r(N) in `row_p1'
	
	summ `x' if z_konsultan == 1
	replace var_name = "`x', kons == 1" in `row_p2'
	replace mean = r(mean)  in `row_p2'
	replace sd = r(sd) in `row_p2'
	replace var_obs_num = r(N) in `row_p2'

	local row = `row' + 3
	local row_p1 = `row_p1' + 3
	local row_p2 = `row_p2' + 3
}


foreach x of varlist z_is_winner_won04 z_is_winner_in_prov{
	summ `x' if z_state_num != 0 & z_year > 2004
	replace var_name = "`x', all" in `row'
	replace mean = r(mean)  in `row'
	replace sd = r(sd) in `row'
	replace var_obs_num = r(N) in `row'

	summ `x' if z_state_num != 0 & z_year > 2004 & z_konsultan == 0
	replace var_name = "`x', kons == 0" in `row_p1'
	replace mean = r(mean)  in `row_p1'
	replace sd = r(sd) in `row_p1'
	replace var_obs_num = r(N) in `row_p1'

	summ `x' if z_state_num != 0 & z_year > 2004 & z_konsultan == 1
	replace var_name = "`x', kons == 1" in `row_p2'
	replace mean = r(mean)  in `row_p2'
	replace sd = r(sd) in `row_p2'
	replace var_obs_num = r(N) in `row_p2'
	
	local row = `row' + 3
	local row_p1 = `row_p1' + 3
	local row_p2 = `row_p2' + 3
}

outsheet var_name mean sd var_obs_num in 1/`row' using "../Output/Table1", replace	


//Table 2
use "z_all_project_table", clear
bys z_state_num z_year z_konsultan: keep if _n == 1

gen var_name = ""
gen var_b = .
gen var_se = .
gen var_pval = .
gen mean = .
gen sd = .
gen var_obs_num = .

local row = 1
foreach var in lnstateyearbudget_kons z_stateyearprojects_kons{
	if "`var'" == "z_stateyearprojects_kons"{
		local control "lnstateyearbudget_kons"
	}
	
	foreach kons in 0 1{
		xtreg `var' eproc_on y2005 y2006 y2007 y2008 `control' if z_konsultan == `kons', cluster(z_state_num) fe i(z_state_num)
		replace var_name = "`var', kons = `kons'" in `row'	
		replace var_b = _b[eproc_on] in `row'
		replace var_se = _se[eproc_on] in `row'
		replace var_obs_num = e(N) in `row'
		test _b[eproc_on] == 0
		replace var_pval = r(p) in `row'
		
		summ `var' if e(sample) == 1 & eproc_on == 0
		replace mean = r(mean) in `row'
		replace sd = r(sd) in `row'
		
		local row = `row' + 1
	}
}	
outsheet var_name var_b var_se var_p mean sd var_obs_num in 1/`row' using "../Output/Table2", replace	

	
//Table 3

use "z_all_project_table", clear

gen var_name = ""
gen var_b = .
gen var_se = .
gen var_pval = .
gen mean = .
gen sd = .
gen var_obs_num = .

local row = 1
foreach var in z_newsp_award_elapsed_time z_auction_elapsed_time z_n_pq_firms_all z_num_np_bids z_is_winner_in_prov z_is_winner_won04{
	local year "y2005 y2006 y2007 y2008"
	local restr ""
	
	if "`var'" == "z_is_winner_in_prov" | "`var'" == "z_is_winner_won04"{
		local year "y2006 y2007 y2008"
		local restr "& z_year > 2004 & z_state_num != 0"
	}	
	
	foreach kons in 0 1{
		xi: ivreg2 `var' (sep = eproc_on) `year' lnpagudana i.z_state_num if z_konsultan == `kons' `restr', cluster(z_state_num) partial(i.z_state_num `year')

		replace var_name = "`var', kons = `kons'" in `row'	
		replace var_b = _b[sep] in `row'
		replace var_se = _se[sep] in `row'
		replace var_obs_num = e(N) in `row'
		test _b[sep] == 0
		replace var_pval = r(p) in `row'		
		
		summ `var' if e(sample) == 1 & sep == 0
		replace mean = r(mean) in `row'
		replace sd = r(sd) in `row'
		
		local row = `row' + 1
	}
}	
outsheet var_name var_b var_se var_pval mean sd var_obs_num in 1/`row' using "../Output/Table3", replace	

	

//Table 4 

use "z_all_project_table", clear	

gen var_name = ""
gen var_b = .
gen var_se = .
gen var_pval = .
gen mean = .
gen sd = .
gen var_obs_num = .

local row = 1
foreach var in lnfinalnegobid{
	local year "y2005 y2006 y2007 y2008"
	local restr ""
	
	foreach kons in 0 1{
		xi: ivreg2 `var' (sep = eproc_on) `year' lnpagudana i.z_state_num if z_konsultan == `kons' `restr', cluster(z_state_num) partial(i.z_state_num `year')

		replace var_name = "`var', kons = `kons'" in `row'	
		replace var_b = _b[sep] in `row'
		replace var_se = _se[sep] in `row'
		replace var_obs_num = e(N) in `row'
		test _b[sep] == 0
		replace var_pval = r(p) in `row'		
		
		summ `var' if e(sample) == 1 & sep == 0
		replace mean = r(mean) in `row'
		replace sd = r(sd) in `row'
		
		local row = `row' + 1
	}
}	
outsheet var_name var_b var_se var_pval mean sd var_obs_num in 1/`row' using "../Output/Table4", replace	
**Columns 3 and 4 results: Time delays variables based on proprietary data


//Appendix Table 1

use "z_all_project_table", clear
			
gen finalnegobid = exp(lnfinalnegobid)
	
egen fnb = mean(finalnegobid), by(z_konsultan z_year z_state_num)
keep fnb z_konsultan z_year z_state_num eproc_start_year
duplicates drop
	
rename fnb finalnegobid

gen ln_avg_finalnegobid = ln(finalnegobid)
foreach y in 04 05{
	gen ln_finbid_`y' = ln_avg_finalnegobid if z_year == 20`y'
	bys z_state_num z_konsultan: egen lnfinalnegobid_`y' = min(ln_finbid_`y')
}	

gen lnfinalnegobid_diff = lnfinalnegobid_05 - lnfinalnegobid_04
	
keep z_state_num z_konsultan lnfinalnegobid_05 lnfinalnegobid_04 eproc_start_year lnfinalnegobid_diff
duplicates drop

gen var_name = ""
gen var_b = .
gen var_se = .
gen var_pval = .
gen mean = .
gen sd = .
gen var_obs_num = .

local row = 1
foreach var in lnfinalnegobid_diff{
		foreach kons in 0 1{
			reg `var' eproc_start_year if eproc_start_year > 2005 & z_konsultan == `kons', robust
			replace var_name = "`var', kons = `kons'" in `row'	
			replace var_b = _b[eproc_start_year] in `row'
			replace var_se = _se[eproc_start_year] in `row'
			replace var_obs_num = e(N) in `row'
			test _b[eproc_start_year] == 0
			replace var_pval = r(p) in `row'
		
			summ `var' if e(sample) == 1 & z_konsultan == `kons'
			replace mean = r(mean) in `row'
			replace sd = r(sd) in `row'
			
		local row = `row' + 1
	}
}			

outsheet var_name var_b var_se var_pval mean sd var_obs_num in 1/`row' using "../Output/TableA1", replace	
	
